org.apache.storm.generated

## Class LSTopoHistoryList

- java.lang.Object
- - org.apache.storm.generated.LSTopoHistoryList

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<LSTopoHistoryList>, org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.12.0)")
      public class LSTopoHistoryList
      extends Object
      implements org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>, Serializable, Cloneable, Comparable<LSTopoHistoryList>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LSTopoHistoryList._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<LSTopoHistoryList._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSTopoHistoryList()`
    `LSTopoHistoryList(List<LSTopoHistory> topo_history)`
    `LSTopoHistoryList(LSTopoHistoryList other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add_to_topo_history(LSTopoHistory elem)`
    `void` | `clear()`
    `int` | `compareTo(LSTopoHistoryList other)`
    `LSTopoHistoryList` | `deepCopy()`
    `boolean` | `equals(LSTopoHistoryList that)`
    `boolean` | `equals(Object that)`
    `LSTopoHistoryList._Fields` | `fieldForId(int fieldId)`
    `Iterator<LSTopoHistory>` | `get_topo_history_iterator()`
    `int` | `get_topo_history_size()`
    `List<LSTopoHistory>` | `get_topo_history()`
    `Object` | `getFieldValue(LSTopoHistoryList._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_topo_history()` Returns true if field topo_history is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(LSTopoHistoryList._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_topo_history_isSet(boolean value)`
    `void` | `set_topo_history(List<LSTopoHistory> topo_history)`
    `void` | `setFieldValue(LSTopoHistoryList._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_topo_history()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<LSTopoHistoryList._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### LSTopoHistoryList

          public LSTopoHistoryList()

    - #### LSTopoHistoryList

          public LSTopoHistoryList(List<LSTopoHistory> topo_history)

    - #### LSTopoHistoryList

          public LSTopoHistoryList(LSTopoHistoryList other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public LSTopoHistoryList deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>`

    - #### get_topo_history_size

          public int get_topo_history_size()

    - #### get_topo_history_iterator

          public Iterator<LSTopoHistory> get_topo_history_iterator()

    - #### add_to_topo_history

          public void add_to_topo_history(LSTopoHistory elem)

    - #### get_topo_history

          public List<LSTopoHistory> get_topo_history()

    - #### set_topo_history

          public void set_topo_history(List<LSTopoHistory> topo_history)

    - #### unset_topo_history

          public void unset_topo_history()

    - #### is_set_topo_history

          public boolean is_set_topo_history()

      Returns true if field topo_history is set (has been assigned a value) and false otherwise

    - #### set_topo_history_isSet

          public void set_topo_history_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(LSTopoHistoryList._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>`

    - #### getFieldValue

          public Object getFieldValue(LSTopoHistoryList._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>`

    - #### isSet

          public boolean isSet(LSTopoHistoryList._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(LSTopoHistoryList that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(LSTopoHistoryList other)

      Specified by:
        `compareTo` in interface `Comparable<LSTopoHistoryList>`

    - #### fieldForId

          public LSTopoHistoryList._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<LSTopoHistoryList,LSTopoHistoryList._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.